@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 2 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\?vocab.trv %1:\trivnow\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\blackblu.cwd %1:\crosword\
xcopy ..\crosword\puzzles.cwd %1:\crosword\
xcopy ..\crosword\zodiac.cwd %1:\crosword\
xcopy articles\*.* %1:\sdpc121\articles\
xcopy letritis\*.* %1:\sdpc121\letritis\
xcopy polyoff\*.* %1:\sdpc121\polyoff\
xcopy sokoban\*.* %1:\sdpc121\sokoban\
xcopy timepal\*.* %1:\sdpc121\timepal\
xcopy *.shl %1:\sdpc121\
xcopy copy121.bat %1:\sdpc121\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy ..\clipart\21*.pcx %1:\clipart\
xcopy ..\clipart\121*.lst %1:\clipart\
xcopy zipcode\*.* %1:\sdpc121\zipcode\
xcopy m*.shl %1:\sdpc121\
xcopy ..\go.exe %1:\
echo.
echo Finished copying SDPC VGA #121 to %1:
echo.
:exit

